summaryrefslogtreecommitdiffstats
path: root/perl/perl-Test-Simple/perl-Test-Simple.SlackBuild
diff options
context:
space:
mode:
author LEVAI Daniel <leva@ecentrum.hu>2014-08-25 06:54:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-30 14:19:18 +0700
commit4594861b50c3dc29dee2b677c4aebb2d3b99efc3 (patch)
tree4b15d0fa557de745638b61af704a8a991ce373fd /perl/perl-Test-Simple/perl-Test-Simple.SlackBuild
parent6fd08c7f409db08cc629e3d4e8479432ecb3d82c (diff)
downloadslackbuilds-4594861b50c3dc29dee2b677c4aebb2d3b99efc3.tar.gz
slackbuilds-4594861b50c3dc29dee2b677c4aebb2d3b99efc3.tar.xz
perl/perl-Test-Simple: Added (framework for writing test scripts).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl/perl-Test-Simple/perl-Test-Simple.SlackBuild')
-rw-r--r--perl/perl-Test-Simple/perl-Test-Simple.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/perl/perl-Test-Simple/perl-Test-Simple.SlackBuild b/perl/perl-Test-Simple/perl-Test-Simple.SlackBuild
new file mode 100644
index 0000000000..b02025a86e
--- /dev/null
+++ b/perl/perl-Test-Simple/perl-Test-Simple.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Copyright (c) 2014 LEVAI Daniel
+# All rights reserved.
+#
+# * Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright notice
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=perl-Test-Simple
+VERSION=${VERSION:-1.001003}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+# remove files that are already available on Slackware
+rm -f $PKG/usr/man/man3/Test::Builder.3.gz
+rm -f $PKG/usr/man/man3/Test::Builder::Module.3.gz
+rm -f $PKG/usr/man/man3/Test::Builder::Tester.3.gz
+rm -f $PKG/usr/man/man3/Test::Builder::Tester::Color.3.gz
+rm -f $PKG/usr/man/man3/Test::More.3.gz
+rm -f $PKG/usr/man/man3/Test::Simple.3.gz
+rm -f $PKG/usr/man/man3/Test::Tutorial.3.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}